PIBOOTCTL-RENAME(1)

NAME
pibootctl-rename - pibootctl manual

SYNOPSIS

        pibootctl rename [-h] [-f] name to

DESCRIPTION

Rename a stored boot configuration.

OPTIONS

    name
        The name of the boot configuration to rename.

    to  The new name of the boot configuration.

    -h, --help
        Show a brief help page for the command.

    -f, --force
        Overwrite the target configuration, if it exists.

USAGE

The rename command can be used to change the name of a stored boot configuration:

        $ pibootctl ls
        +---------+--------+---------------------+
        | Name    | Active | Timestamp           |
        |---------+--------+---------------------|
        | 720p    | x      | 2020-03-10 11:33:24 |
        | default |        | 2020-03-10 11:32:12 |
        | dpi     |        | 2020-02-01 15:46:48 |
        +---------+--------+---------------------+
        $ sudo pibootctl rename default foo
        $ pibootctl ls
        +------+--------+---------------------+
        | Name | Active | Timestamp           |
        |------+--------+---------------------|
        | 720p | x      | 2020-03-10 11:33:24 |
        | dpi  |        | 2020-02-01 15:46:48 |
        | foo  |        | 2020-03-10 11:32:12 |
        +------+--------+---------------------+

As with save, any characters permitted in a filename are permitted in the new destination name.

If you wish to rename a configuration such that it overwrites an existing configuration you will need to use the --force option:

        $ sudo pibootctl load default
        $ sudo pibootctl save foo
        $ pibootctl ls
        +---------+--------+---------------------+
        | Name    | Active | Timestamp           |
        |---------+--------+---------------------|
        | 720p    |        | 2020-03-10 11:33:24 |
        | default | x      | 2020-03-10 11:32:12 |
        | dpi     |        | 2020-02-01 15:46:48 |
        | foo     | x      | 2020-03-10 11:32:12 |
        +---------+--------+---------------------+
        $ sudo pibootctl mv foo default
        [Errno 17] File exists: 'default.zip'
        $ sudo pibootctl mv -f foo default

AUTHOR
Dave Jones

COPYRIGHT
2019-2020 Dave Jones